Bug 68022 - table cell of type float: uses value or body depending on body
Summary: table cell of type float: uses value or body depending on body
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 68020
  Show dependency treegraph
 
Reported: 2013-08-12 14:18 UTC by Lionel Elie Mamane
Modified: 2017-09-29 08:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-08-12 14:18:01 UTC
Consider attachment 83968 [details]

Compare rows April Prime and April Secundo.

Why does the second column of April Prime display the office:value,
but in April Secundo the <text:p> child? The only difference between
the two is the order between the <text:variable-set> and the actual
PCDATA (text). Surely that should not make any difference.
Comment 1 Buovjaga 2014-11-17 13:03:04 UTC
I see:

April Prime	4	text content 
April Secundo	text content  	text content  
August Prime	8	 
August Secundo	o:s-v	text content  
August Tertio	o:s-v	text content 

But I don't know, how to comment on this..

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 2 Michael Stahl 2015-02-03 09:31:00 UTC
this was introduced because report-builder depends on it,
so there is a horrible hack in SwTableBox::IsValidNumTxtNd()
to interpret a paragraph with variable-set fields at the beginning
of it as "numeric", which does not make much sense as such...

see OOo issues 117825 and 104949 and commits
705d1d214bbf01136f755c2461fdfa10388d3f79
9a506d302bcf497b58684e1ab9b1e4da50572469
Comment 3 Matthew Francis 2015-03-23 14:35:58 UTC
Advice has been received in comment 2, so removing Whiteboard:NeedsAdvice and setting -> NEW
Comment 4 Robinson Tryon (qubit) 2015-12-10 10:13:25 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2016-09-19 15:29:48 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2017-09-29 08:53:08 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170929